2

Get the following error when clicking on Add-Ons/Fieldtypes/Matrix. Can anyone help? Thanks.

A Database Error Occurred Error Number: 1060

Duplicate column name 'var_id'

ALTER TABLE exp_matrix_cols ADD var_id INT(6) UNSIGNED AFTER field_id, ADD INDEX (var_id)

Filename: third_party/matrix/ft.matrix.php

Line Number: 467

Update

Updated EE to 2.6.1 and updated all Add-ons I have installed (left Matrix for last). Tried updating Matrix to 2.5.5 and now get the following error when trying to edit any entry:

A Database Error Occurred Error Number: 1054

Unknown column 'is_draft' in 'where clause'

SELECT row_id, col_id_21, col_id_22, col_id_28 FROM exp_matrix_data WHERE field_id = 55 AND entry_id = 75 AND is_draft = 0 ORDER BY row_order ASC

Filename: third_party/matrix/ft.matrix.php

Line Number: 2912

Note

Matrix 2.4.3 is working except that I can't add license key or update.

3
  • Hey Neils, if you've visited the field settings and you're still running into this, please email support@pixelandtonic.com with Super Admin and PHPMyAdmin details and we can get this fixed up for you. Thank you! – Lisa May 13 '13 at 20:41
  • Lisa, I'm running into the same issue. Do you have the query I can run myself? – Siebird May 28 '13 at 15:00
  • I ran into the same issue. When I visit Addons > Fieldtypes > Matrix, I got several php errors, but when I refresh it appears the script ran. – Jon Horton Jul 1 '13 at 13:16
4

Here's the response I got from P&T support regarding this error. Solved the issue for me:

Take a look at the columns in exp_matrix_data table in the database.

* Does it have a field var_id? If no, then the version you should set is 2.2.
* If yes, does it have a field is_draft? If no, then the version you should set is 2.3
* If yes, then the version you should set is 2.5.10

Now, set the version number we determined in the previous three steps for the Matrix field in the exp_fieldtypes table and go visit the Add-ons -> Fieldtypes -> Matrix page and hit submit.

Everything should be all working now.
2
  • Thank you @Bjørn Børresen Having to move an old site before update and this helped me figure out someone had updated the files but not the db, so i could revert it and get site working – tristanbailey Mar 21 '14 at 15:27
  • 1
    No problem @tristanbailey - glad you got it working :-) – Bjørn Børresen Jan 28 '15 at 7:08
3

Upload all the files of Matrix 2.5.5. Then go to Add-Ons > Fieldtypes > Matrix to trigger its update script.

2
  • I tried that and that's when I began getting the other error when editing entries. – Nelis May 13 '13 at 19:23
  • Instead of an update script I only get PHP errors. – Jon Horton Jul 1 '13 at 13:14

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.